#!/usr/bin/ksh
###############################################################################
##                                                                           ##
##  D B T U T O O L S / D B T U G E T S S . S H                              ##
##                                                                           ##
## ------------------------------------------------------------------------- ##
##                                                                           ##
##  Job .......: Script for collecting all snapshot data for a database.     ##
##                                                                           ##
## ------------------------------------------------------------------------- ##
##                                                                           ##
##  Copyright (C) 2002  Daniel Scheibli                                      ##
##                                                                           ##
##  This program is free software; you can redistribute it and/or modify it  ##
##  under the terms of the GNU General Public License as published by the    ##
##  Free Software Foundation; either version 2 of the License, or (at your   ##
##  option) any later version.                                               ##
##                                                                           ##
##  This program is distributed in the hope that it will be useful, but      ##
##  WITHOUT ANY WARRANTY; without even the implied warranty of               ##
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            ##
##  GNU General Public License for more details.                             ##
##                                                                           ##
##  You should have received a copy of the GNU General Public License along  ##
##  with this program; if not, write to the Free Software Foundation, Inc.,  ##
##  59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.                 ##
##                                                                           ##
## ------------------------------------------------------------------------- ##
##                                                                           ##
##  Remark ....: <none>                                                      ##
##                                                                           ##
## ------------------------------------------------------------------------- ##
##                                                                           ##
##  Author ....: Daniel Scheibli <daniel.scheibli@edelbyte.org>              ##
##  Date ......: 2002-04-23                                                  ##
##  Changes ...: ----- dbtugetss.sh V00.99/R020 ---------------------------- ##
##               <none>                                                      ##
##               ----- dbtugetss.sh V00.99/R011 ---------------------------- ##
##               <none>                                                      ##
##               ----- dbtugetss.sh V00.99/R010 ---------------------------- ##
##               2002-08-05 - Changed shell to Korn Shell (because it is an  ##
##                            requirement of IBM DB2 UDB, so we be can sure  ## 
##                            that it has been installed).                   ## 
##               ----- dbtugetss.sh V00.99/R002 ---------------------------- ##
##               <none>                                                      ##
##               ----- dbtugetss.sh V00.99/R001 ---------------------------- ##
##               <none>                                                      ##
##                                                                           ##
###############################################################################



##### Presettings
#------------------------------------------------------------------------------
echo; echo "DBTUGETSS.SH V00.99/R020"; echo
XX1FILE="./.dbtugetss.out.$$"
#------------------------------------------------------------------------------



##### Process the given arguments
#------------------------------------------------------------------------------
if [ "$#" != "1" ]; then
 echo "===> ERROR: A minimum of one argument was expected."
 echo
 echo "Usage .......: >>--- dbtugetss.sh --- ALIAS ---><"
 echo 
 echo "Sample ......: dbtugetss.sh sample"
 echo
 echo "Arguments ...: ALIAS   The alias of the database the"
 echo "                       snapshot should be taken for."
 echo
 exit 1
fi
#- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - --
XX1DB=$(echo $1 | tr "[a-z]" "[A-Z]")
#------------------------------------------------------------------------------



##### Activate all monitor switches
#------------------------------------------------------------------------------
echo "Activate monitor switches..."
#- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - --
db2 UPDATE MONITOR SWITCHES USING BUFFERPOOL ON 1>/dev/null
db2 UPDATE MONITOR SWITCHES USING LOCK ON       1>/dev/null
db2 UPDATE MONITOR SWITCHES USING SORT ON       1>/dev/null
db2 UPDATE MONITOR SWITCHES USING STATEMENT ON  1>/dev/null
db2 UPDATE MONITOR SWITCHES USING TABLE ON      1>/dev/null
db2 UPDATE MONITOR SWITCHES USING UOW ON        1>/dev/null
#------------------------------------------------------------------------------



##### Get snapshot for the DBM and the given database
#------------------------------------------------------------------------------
echo "Collect snapshot data..."
#- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - --
cp /dev/null $XX1FILE
db2 GET SNAPSHOT FOR DBM           1>>$XX1FILE
db2 GET SNAPSHOT FOR ALL ON $XX1DB 1>>$XX1FILE
#------------------------------------------------------------------------------



##### Show the snapshot data got for the CLP
#------------------------------------------------------------------------------
echo "Show snapshot data..."
#- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - --
less $XX1FILE
echo
#------------------------------------------------------------------------------


